Kyzo Api Integration Doc
    • Place Signal Call
      POST
    • Get Agents
      GET
    • Get Campaigns
      GET
    • Schemas
      • Place Test Call Request Dto
      • Url Path Parameters Details

      Place Signal Call

      Developing
      POST
      /organizations/{organizationId}/agents/{agentId}/placeCall

      Request

      Path Params

      Header Params

      Body Params application/jsonRequired

      Examples

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      🟢200Place Signal Call Response
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.kyzo.ai/organizations/YOUR-KYZO-ORG-ID/agents/YOUR-KYZO-AGENT-ID/placeCall' \
      --header 'x-api-key: x-kyzo-api-key' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "fromPhoneNumberId": "YOUR-KYZO-AI-PHONE-NUMBER-ID",
          "phoneNumber": "+1787998989",
          "email": "user@email.cm",
          "tools": [
              {
                  "tool_type": "sentiment",
                  "execution_order": 0,
                  "args": {
                      "language": "English"
                  }
              },
              {
                  "tool_type": "custom_field_extraction",
                  "execution_order": 1,
                  "args": {
                      "fields": [
                          {
                              "fieldName": "budget",
                              "fieldDescription": "The maximum amount of money a lead is willing to spend",
                              "fieldType": "number"
                          },
                          {
                              "fieldName": "area",
                              "fieldDescription": "The name of the area in which they are interested to invest",
                              "fieldType": "text"
                          },
                          {
                              "fieldName": "age",
                              "fieldDescription": "The age of client",
                              "fieldType": "number"
                          }
                      ]
                  }
              }
          ],
          "agentParams": {
              "first_name": "David"
          },
          "referenceId": "YOUR-CRM-OBJECT-ID"
      }'
      Response Response Example
      200 - Example 1
      {}
      Modified at 2025-12-10 18:08:22
      Next
      Get Agents
      Built with